From 26df5b04bb981bf9f1a23bf2341f5de1854e5daa Mon Sep 17 00:00:00 2001
From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Date: Sat, 13 Feb 2021 09:58:27 +0100
Subject: [PATCH 06/10] scripts/buildtools.mk: indent for readability

---
 scripts/mk/buildtools.mk | 43 +++++++++++++++++++++-------------------
 1 file changed, 23 insertions(+), 20 deletions(-)

diff --git a/scripts/mk/buildtools.mk b/scripts/mk/buildtools.mk
index d2b195515..a42011c3b 100644
--- a/scripts/mk/buildtools.mk
+++ b/scripts/mk/buildtools.mk
@@ -33,28 +33,31 @@ include $(dir $(lastword $(MAKEFILE_LIST)))architecture.mk
 # not defined or contain the make built-in defaults. On native builds if
 # TOOL is defined and TOOL_FOR_BUILD is not, we fallback to use TOOL.
 define dpkg_buildtool_setvar
-ifeq (,$(findstring $(3),$(DEB_BUILD_OPTIONS)))
-ifeq ($(origin $(1)),default)
-$(1) = $(DEB_HOST_GNU_TYPE)-$(2)
-else
-$(1) ?= $(DEB_HOST_GNU_TYPE)-$(2)
-endif
 
-# On native build fallback to use TOOL if that's defined.
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-$(1)_FOR_BUILD ?= $$($(1))
-else
-$(1)_FOR_BUILD ?= $(DEB_BUILD_GNU_TYPE)-$(2)
-endif
-else
-$(1) = :
-$(1)_FOR_BUILD = :
-endif
+  ifeq (,$(findstring $(3),$(DEB_BUILD_OPTIONS)))
+
+    ifeq ($(origin $(1)),default)
+      $(1) = $(DEB_HOST_GNU_TYPE)-$(2)
+    else
+      $(1) ?= $(DEB_HOST_GNU_TYPE)-$(2)
+    endif
+
+    # On native build fallback to use TOOL if that's defined.
+    ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+      $(1)_FOR_BUILD ?= $$($(1))
+    else
+      $(1)_FOR_BUILD ?= $(DEB_BUILD_GNU_TYPE)-$(2)
+    endif
+
+  else
+    $(1) = :
+    $(1)_FOR_BUILD = :
+  endif
+
+  ifdef DPKG_EXPORT_BUILDTOOLS
+    export $(1) $(1)_FOR_BUILD
+  endif
 
-ifdef DPKG_EXPORT_BUILDTOOLS
-export $(1)
-export $(1)_FOR_BUILD
-endif
 endef
 
 $(eval $(call dpkg_buildtool_setvar,AS,as))
-- 
2.30.2

